Package org.drinkless.tdlib

# Class TdApi.UpdateFreezeState

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateFreezeState

Enclosing class:
  `TdApi`

public static class TdApi.UpdateFreezeState extends TdApi.Update
The freeze state of the current user's account has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `appealLink`
  The link to open to send an appeal to unfreeze the account.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `deletionDate`
  Point in time (Unix timestamp) when the account will be deleted and can't be unfrozen; 0 if the account isn't frozen.
  `int`
  `freezingDate`
  Point in time (Unix timestamp) when the account was frozen; 0 if the account isn't frozen.
  `boolean`
  `isFrozen`
  True, if the account is frozen.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateFreezeState()`
  The freeze state of the current user's account has changed.
  `UpdateFreezeState(boolean isFrozen, int freezingDate, int deletionDate, String appealLink)`
  The freeze state of the current user's account has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isFrozen

    public boolean isFrozen
    True, if the account is frozen.

  - ### freezingDate

    public int freezingDate
    Point in time (Unix timestamp) when the account was frozen; 0 if the account isn't frozen.

  - ### deletionDate

    public int deletionDate
    Point in time (Unix timestamp) when the account will be deleted and can't be unfrozen; 0 if the account isn't frozen.

  - ### appealLink

    public String appealLink
    The link to open to send an appeal to unfreeze the account.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateFreezeState

    public UpdateFreezeState()
    The freeze state of the current user's account has changed.

  - ### UpdateFreezeState

    public UpdateFreezeState(boolean isFrozen, int freezingDate, int deletionDate, String appealLink)
    The freeze state of the current user's account has changed.
    Parameters:
      `isFrozen` - True, if the account is frozen.
      `freezingDate` - Point in time (Unix timestamp) when the account was frozen; 0 if the account isn't frozen.
      `deletionDate` - Point in time (Unix timestamp) when the account will be deleted and can't be unfrozen; 0 if the account isn't frozen.
      `appealLink` - The link to open to send an appeal to unfreeze the account.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR